TAP::Parser::Iterator::Stream(3p)

NAME
TAP::Parser::Iterator::Stream - Iterator for filehandle-based TAP sources

VERSION
Version 3.36

SYNOPSIS
  use TAP::Parser::Iterator::Stream;
  open( TEST, 'test.tap' );
  my $it   = TAP::Parser::Iterator::Stream->new(\*TEST);
  my $line = $it->next;

DESCRIPTION
This is a simple iterator wrapper for reading from filehandles, used by TAP::Parser. Unless you're writing a plugin or subclassing, you probably won't need to use this module directly.

METHODS

  Class Methods
"new"

Create an iterator. Expects one argument containing a filehandle.

  Instance Methods
"next"

Iterate through it, of course.

"next_raw"

Iterate raw input without applying any fixes for quirky input syntax.

"wait"

Get the wait status for this iterator. Always returns zero.

"exit"

Get the exit status for this iterator. Always returns zero.

ATTRIBUTION
Originally ripped off from Test::Harness.

SEE ALSO
TAP::Object, TAP::Parser, TAP::Parser::Iterator,